#ifndef GeneralTip_h
#define GeneralTip_h

#include <QFrame>
#include <QBasicTimer>
#include <QEvent>
#include <QKeyEvent>

class GeneralTip : public QFrame
{
   Q_OBJECT
public:
   GeneralTip(QWidget*  parent,
              bool      permanent = false);
   ~GeneralTip();
   static GeneralTip*  it;
   typedef void (*setupFunction)(GeneralTip*  parent,
                                 void*        data);
   static void showTip(const QPoint&  pos,
                       setupFunction  setup,
                       void*          data,
                       QWidget*       widget,
                       bool           permanent = false);
public:
   bool  eventFilter(QObject*  obj,
                     QEvent*   ev);
   void  hideTip();
protected:
   QBasicTimer  hideTimer;
   QBasicTimer  deleteTimer;

   void  enterEvent(QEvent*  ev);
   void  timerEvent(QTimerEvent*  ev);
};

#endif
