#include "HProgressBar.h"
#include <QHelpEvent>

HProgressBar::HProgressBar(QWidget*  parent)
   : QProgressBar(parent)
{
}

QString HProgressBar::text() const
{
   QString  qText = QProgressBar::text();
   if (!activity.isEmpty() && !qText.isEmpty()) {
      return tr("%1 (%2)").arg(activity).arg(qText);
   } else if (!activity.isEmpty()) {
      return activity;
   } else {
      return qText;
   }
}

void HProgressBar::setActivity(QString  activity)
{
   if (this->activity != activity) {
      this->activity = activity;
      update();
   }
}

void HProgressBar::reset()
{
   activity = QString();
   QProgressBar::reset();
}

bool HProgressBar::event(QEvent*  ev)
{
#if QT_VERSION >= 0x040200
   // This is only needed to support parallel downloads in yum 3.4.3 + RedHat
   // postmodern patches.  Any system with that support should be well beyond
   // Qt 4.2, so the absence of equivalent Qt 4.1 code is unimportant.
   if (ev->type() == QEvent::ToolTip
       && (window()->testAttribute(Qt::WA_AlwaysShowToolTips)
           || isActiveWindow())) {
      QHelpEvent*  helpEvent = static_cast<QHelpEvent*>(ev);
      emit toolTip(helpEvent->pos());
      helpEvent->accept();
      return true;
   }
#endif

   return QWidget::event(ev);
}
