#ifndef PackageTableActionContextMenu_h
#define PackageTableActionContextMenu_h

#include "PackageTableModel.h"
#include <QMenu>
#include <QIcon>
#include <QAction>

namespace PackageTable {

   class View;

   class ActionContextMenu : public QMenu {
      Q_OBJECT
   public:
      explicit ActionContextMenu(Model*  model,
                                 View*   view);
   public:
      void  exec(QModelIndex    ix,
                 const QPoint&  pos);
   protected slots:
      void  handleUpdateAction();
      void  handleInstallAction();
      void  handleRemoveAction();
      void  handleNoneAction();
   protected:
      void  handleAction(Package::Action  act);
   protected:
      QIcon  noneIcon;
      QIcon  updateIcon;
      QIcon  installIcon;
      QIcon  removeIcon;
   protected:
      QAction*  updateAction;
      QAction*  installAction;
      QAction*  removeAction;
      QAction*  noneAction;

      Model*       model;
      View*        view;
      QModelIndex  ix;
   };

};

#endif
