%define is_redhat %(if [ -e /etc/redhat-release ]; then echo 1; else echo 0; fi)
%define pyver     %(if [ -d /usr/include/python3.6m ]; then echo 3.6; fi)
%define qt_devel %(if [[ "%{distro}" = rhel[8]* ]]; then echo "qt5-qtbase-devel qt5-qtx11extras-devel"; else echo "unknown-qt-devel"; fi)

Summary: GUI RPM package manager
Name: nuu
Version: %{version}
Release: %{release}
License: GPL
Group: System Environment/Base
Source: nuu-%{version}.src.tar.gz
Packager: Concurrent Real-Time <nightstar@concurrent-rt.com>
URL: http://redhawk.concurrent-rt.com/nuu
Requires: python3 >= %{pyver} python3 <= %{pyver}.9
Requires: dnf >= 4.0.9 dnf < 4.1
BuildRequires: python3-devel >= %{pyver} python3-devel <= %{pyver}.9
BuildRequires: dnf >= 4.0.9 dnf < 4.1
BuildRequires: %{qt_devel}
BuildRequires: inkscape
BuildRequires: rpm-devel
BuildRequires: libpng-devel
%if %{is_redhat}
Requires: usermode GConf2
BuildRequires: usermode
%endif
%description

NUU, Network Update Utility, is a GUI RPM package manager that allows users
to download RPM packages from online yum repositories, and to install,
update, and remove those RPM packages.  It does dependency analysis
automatically.  NUU is based on Yum.

%prep
%setup

%build
%{__make}

%install
%if %{is_redhat}
%{__make} install BUILDROOT=${RPM_BUILD_ROOT} INSTALLSTRIP=
%else
%{__make} install BUILDROOT=${RPM_BUILD_ROOT}
%endif

%clean
%{__rm} -rf $RPM_BUILD_DIR/$RPM_PACKAGE_NAME-$RPM_PACKAGE_VERSION

%files
%defattr(-,root,root)
/usr/bin/nuu
%if %{is_redhat}
/etc/pam.d/nuu
/etc/security/console.apps/nuu
%endif
/usr/share/applications/nuu.desktop
/usr/share/man/man1/nuu.1.gz
/usr/share/nuu/nuu
/usr/share/nuu/webbrowser
/usr/share/nuu/mimeviewer
/usr/share/nuu/python/YumIO.py
/usr/share/nuu/python/YumIO.pyc
/usr/share/nuu/icons/check.png
/usr/share/nuu/icons/checkBox.png
/usr/share/nuu/icons/group.png
/usr/share/nuu/icons/install.png
/usr/share/nuu/icons/installBox.png
/usr/share/nuu/icons/noneBox.png
/usr/share/nuu/icons/out-of-date.png
/usr/share/nuu/icons/package.png
/usr/share/nuu/icons/remove.png
/usr/share/nuu/icons/removeBox.png
/usr/share/nuu/icons/suite.png
/usr/share/nuu/icons/up-to-date.png
/usr/share/nuu/icons/update.png
/usr/share/nuu/icons/updateBox.png
/usr/share/nuu/pixmaps/nuu.png
/usr/share/nuu/pixmaps/nuu.icon.png
%doc INSTALL DESKTOP LICENSE ChangeLog DESIGN TODO YUM PYTHON.CHEAT.SHEET doc/manual.pdf doc/html
